## org.eclipse.datatools.modelbase.dbdefinition.impl
Class SQLSyntaxDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.SQLSyntaxDefinitionImpl

All Implemented Interfaces:
  SQLSyntaxDefinition

public class SQLSyntaxDefinitionImpl
extends EObjectImpl
implements SQLSyntaxDefinition

An implementation of the model object 'SQL Syntax Definition'.

The following features are implemented:

- `Keywords`
- `Operators`
- `Termination Character`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getKeywords()`
`EList` `getOperators()`
`java.lang.String` `getTerminationCharacter()`
`void` `setTerminationCharacter(java.lang.String newTerminationCharacter)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getKeywords

    public EList getKeywords()

  Specified by:
    `getKeywords` in interface `SQLSyntaxDefinition`
  Returns:
    the value of the 'Keywords' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getSQLSyntaxDefinition_Keywords()`

### getOperators

    public EList getOperators()

  Specified by:
    `getOperators` in interface `SQLSyntaxDefinition`
  Returns:
    the value of the 'Operators' attribute list.
  See Also:
    `DatabaseDefinitionPackage.getSQLSyntaxDefinition_Operators()`

### getTerminationCharacter

    public java.lang.String getTerminationCharacter()

  Specified by:
    `getTerminationCharacter` in interface `SQLSyntaxDefinition`
  Returns:
    the value of the 'Termination Character' attribute.
  See Also:
    `SQLSyntaxDefinition.setTerminationCharacter(String)`, `DatabaseDefinitionPackage.getSQLSyntaxDefinition_TerminationCharacter()`

### setTerminationCharacter

    public void setTerminationCharacter(java.lang.String newTerminationCharacter)

  Specified by:
    `setTerminationCharacter` in interface `SQLSyntaxDefinition`
  Parameters:
    `newTerminationCharacter` - the new value of the 'Termination Character' attribute.
  See Also:
    `SQLSyntaxDefinition.getTerminationCharacter()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.